fix: 4.2.3 user reported issues. (#617)

* fix error on scanning

* fix path derivation bug

* bump to 4.2.4

* upgrade react navigation
2 jobs for master in 3 minutes and 43 seconds (queued for 1 second)
Status Job ID Name Coverage
  Test
passed #510587
linux-docker
android-test

00:02:06

 
  Build
failed #510588
linux-docker
android-build

00:01:37

 
Name Stage Failure
failed
android-build Build
Updating ./rust/.cargo/config.toml...
yarn install v1.22.4
[1/5] Validating package.json...
[2/5] Resolving packages...
[3/5] Fetching packages...
error chalk@4.0.0: The engine "node" is incompatible with this module. Expected version ">=10". Got "8.17.0"
error Found incompatible module.
info Visit https://yarnpkg.com/en/docs/cli/install for documentation about this command.
ERROR: Job failed: exit code 1